# labs.spatial_models.hierarchical_parcellation

## Module: `labs.spatial_models.hierarchical_parcellation`

Computation of parcellations using a hierarchical approach. Author: Bertrand Thirion, 2008

## Functions

nipy.labs.spatial_models.hierarchical_parcellation.hparcel(domain, ldata, nb_parcel, nb_perm=0, niter=5, mu=10.0, dmax=10.0, lamb=100.0, chunksize=100000.0, verbose=0, initial_mask=None)

  Function that performs the parcellation by optimizing the inter-subject similarity while retaining the connectedness within subject and some consistency across subjects.

  Parameters:
    domain: discrete_domain.DiscreteDomain instance,

      yields all the spatial information on the parcelled domain

    ldata: list of (n_subj) arrays of shape (domain.size, dim)

      the feature data used to inform the parcellation

    nb_parcel: int,

      the number of parcels

    nb_perm: int, optional,

      the number of times the parcellation and prfx computation is performed on sign-swaped data

    niter: int, optional,

      number of iterations to obtain the convergence of the method information in the clustering algorithm

    mu: float, optional,

      relative weight of anatomical information

    dmax: float optional,

      radius of allowed deformations

    lamb: float optional

      parameter to control the relative importance of space vs function

    chunksize; int, optional

      number of points used in internal sub-sampling

    verbose: bool, optional,

      verbosity mode

    initial_mask: array of shape (domain.size, nb_subj), optional

      initial subject-depedent masking of the domain

  Returns:
    Pa: the resulting parcellation structure appended with the labelling

nipy.labs.spatial_models.hierarchical_parcellation.perm_prfx(domain, graphs, features, nb_parcel, ldata, initial_mask=None, nb_perm=100, niter=5, dmax=10.0, lamb=100.0, chunksize=100000.0, verbose=1)

  caveat: assumes that the functional dimension is 1